use super::types::Type;

/// an abstract element that performs some kind of computation on a value
struct Element<'ty> {
    pub id: u32,
    pub inputs: Vec<Element<'ty>>,
    pub typ: Type<'ty>,
}

struct Signal<'ty> {
    pub id: u32,
    pub typ: Type<'ty>
}

struct Expression {
}
